/v1/thirdparty/orders/send

Creates a new order.

Query Params
string
required

Administration name

Body Params

Order object

Model for creating orders.

string
required
length ≥ 1

Customer code attached to this order.
Usage of this value is required when inserting a new order.
This field is required.

string | null

Requested delivery date of the order in yyyy-MM-dd format.

string | null

Internal reference.

string | null

The reference for this order.

string | null

Additional notes for this order.

string | null

Currency used for this order.
Can be ignored when only using only one currency.

double
required

Shipping costs (VAT excluded).
This field is required.

string | null

Name of the end user.

string | null

Email of the end user.

string | null

Phone number of the end user.

deliveryAddress
object | null

Alternate delivery address used for this order.
Can be ignored if the default delivery address of this customer should be used.

invoiceAddress
object | null

Alternate invoice address used for this order.
Can be ignored if the default invoice address of this customer should be used.

lines
array of objects
required
length ≥ 1

Order lines attached to this order.
Should at least contain one order line.
This field is required.

lines*
string
required
length between 1 and 50

The item code of the corresponding item.

double
required

The quantity for this item.

double | null

The discount percentage for this item.

double | null

The price for this item.

string | null

Instruction for this order line.

string
required
length ≥ 1

The ID as generated in the 3rd party system. This id will be used to prevent sending the same order multiple times
This field is required.

string | null

Delivery methode code for deliveryMethode used.

string

Dynamic properties for the order can be placed here, these properties will have to be mapped in a template if you want to use them.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json